## org.openqa.selenium.server.log
Class TerseFormatter

    java.lang.Object
      java.util.logging.Formatter
          org.openqa.selenium.server.log.TerseFormatter

    public class TerseFormatter

extends java.util.logging.Formatter

Custom java.util.logging formatter providing compact output.

Constructor Summary
`TerseFormatter(boolean longForm)`

Method Summary
`java.lang.String` `format(java.util.logging.LogRecord record)` Format the given log record and return the formatted string.

Methods inherited from class java.util.logging.Formatter
`formatMessage, getHead, getTail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TerseFormatter

    public TerseFormatter(boolean longForm)

Method Detail

### format

    public java.lang.String format(java.util.logging.LogRecord record)

  Format the given log record and return the formatted string.

  Specified by:
    `format` in class `java.util.logging.Formatter`
  Parameters:
    `record` - the log record to be formatted.
  Returns:
    a formatted log record

Copyright © 2009. All Rights Reserved.